<?php defined('SYSPATH') or die('No direct script access.');

class Controller_Admin_Students extends Controller_UserEnvi {

    public function action_index()
    {
        // LOGIC
        $model = new Model_Admin_Students;
        $faculties = $model->getFaculties();
        $facultiesHandled = array(); $i = 0;
        foreach($faculties as $row)
        {
            $i++;
            $facultiesHandled[$i]['ID'] = $row['FacultyID'];
            $facultiesHandled[$i]['Name'] = $row['FacultyName'];
            $facultiesHandled[$i]['Abbr'] = $row['FacultyAbbr'];
        }
        // VIEW
        $twig = Twig::factory('admin/students/index');
        $twig->Faculties = $facultiesHandled;
        $twig->User = $this->UserInfo;
        $this->response->body($twig);        
    }
    
    public function action_add()
    {
        $model = new Model_Admin_Students();
        $faculties = $model->getFaculties();
        $facultiesHandled = array(); $i = 0;
        foreach($faculties as $row)
        {
            $i++;
            $facultiesHandled[$i]['ID'] = $row['FacultyID'];
            $facultiesHandled[$i]['Name'] = $row['FacultyName'];
            $facultiesHandled[$i]['Abbr'] = $row['FacultyAbbr'];
        }
        $twig = Twig::factory('admin/students/add');
        $twig->Faculties = $facultiesHandled;
        $twig->User = $this->UserInfo;
        $this->response->body($twig);
    }
    
    public function action_upload()
    {
        $twig = Twig::factory('admin/students/upload');
        
        $twig->User = $this->UserInfo;
        $this->response->body($twig);
    }
    
    public function action_edit()
    {
        $twig = Twig::factory('admin/students/edit');
        
        $twig->User = $this->UserInfo;
        $this->response->body($twig);
    }    
}
            